Skip to main content
POST
Create Variant

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

productId
integer
required

The product ID.

Body

application/json
name
string
required

Must not be greater than 255 characters.

Example:

"tjqotbhpzwonwlzospqcs"

price
number
required

Must be at least 0. Must not be greater than 999999.99.

Example:

19

sku
string | null

Must match the regex /^[A-Za-z0-9._-]+$/. Must not be greater than 64 characters.

Example:

"ssrciatkmatldznkaapjp"

image_id
integer | null

Must match an existing stored value.

Example:

6

description
string | null

Must not be greater than 65535 characters.

Example:

"Et optio rerum quaerat."

visibility
enum<string> | null
Available options:
public,
on_hold,
private
Example:

"on_hold"

price_slash
number | null

Must be at least 0. Must not be greater than 999999.99.

Example:

17

cost
number | null

Must be at least 0. Must not be greater than 999999.99.

Example:

17

quantity_min
number | null

Must be at least 1. Must not be greater than 999999.

Example:

10

quantity_max
number | null

Must be at least 0. Must not be greater than 999999.

Example:

8

quantity_step
integer | null

Must be at least 1. Must not be greater than 999999.

Example:

24

volume_discounts
(object | null)[]

Must not have more than 10 items.

Example:

null

disable_volume_discounts_if_coupon
boolean | null
Example:

true

serial_selection_method
enum<string> | null
Available options:
last,
first,
random
Example:

"random"

dynamic_url
string | null

Must not be greater than 2048 characters.

Example:

"https://stamm.com/quibusdam-commodi-fugiat-debitis-voluptatum.html"

stock
number | null

Must be at least -1. Must not be greater than 1000000.

Example:

1

instructions
string | null

Must not be greater than 65535 characters.

Example:

"nssrciatkmatldznkaapj"

redirect_url
string | null

Must start with one of http Must not be greater than 2048 characters.

Example:

"http://www.damore.com/aut-ipsum-possimus-consequuntur-aliquam-fugiat-sit-ratione.html"

discord_roles
(object | null)[]

Must not have more than 10 items.

Example:

null

disabled_payment_method_ids
(string | null)[]

Must match an existing stored value.

Example:

null

file_ids
string[]

Must match an existing stored value.

Example:
deliverables
object | null

Must not have more than 500000 items.

Example:

null

subscription_mode
string | null
Example:

"consequatur"

recurring_price
number | null
Example:

666245.61078

initial_price
number | null
Example:

666245.61078

recurring_interval
string | null
Example:

"consequatur"

recurring_interval_count
integer | null
Example:

6

recurring_trial_days
integer | null
Example:

6

renewal_delivery
string | null
Example:

"consequatur"

Response

200